Can Arm9loaderhax be installed on New 3ds?

Discussion in '3DS - Homebrew Development and Emulators' started by ThePanchamBros, Apr 17, 2016.

  1. ThePanchamBros
    OP

    ThePanchamBros Hates the Undertale Fandom

    Member
    1
    Jan 31, 2016
    United States
    Under your bed ( ͡° ͜ʖ ͡°)
    Can it? I read that someone tried to use the tutorial on the GitHub for arm9loaderhax on a new 3ds and bricked. Can anyone confirm it works on new 3ds? Thanks

    edit: when I restore my sysnand from when I backed up the original, can I also do so with my original emunand?
     
    Last edited by ThePanchamBros, Apr 17, 2016
  2. MsMidnight

    MsMidnight part time fe modder

    Member
    6
    Oct 12, 2015
    kys
    it does, they just didnt use the emunand unbricker tool
     
  3. Omegadrien

    Omegadrien GBAtemp Advanced Maniac

    Member
    5
    Nov 4, 2015
    France
    Pokéland
    It works!
     
  4. Ann0ying

    Ann0ying GBAtemp Regular

    Member
    2
    Apr 12, 2016
    NtDH! GA!
    There are lots of new 3ds(es?) with A9LH, mine included. If you follow the instruction chance of bricking your ds is VERY VERY VERY small.
     
    Jon O'Brien likes this.
  5. Razorzeto

    Razorzeto Darkness can not drive out darkness.

    Member
    2
    Aug 27, 2015
    Currently living in Chile.
    That guide say pretty much everything, it's known for being idiot proof, so read well before every step!
     
  6. gaga941021

    gaga941021 GBAtemp Regular

    Member
    2
    Apr 16, 2016
    Hungary
    It absolutely works!
     
  7. KaduPSE

    KaduPSE Revolution and cake

    Member
    2
    Dec 26, 2015
    Brazil
    It was actually first implemented on a N3DS, wasn't it?
     
  8. ThePanchamBros
    OP

    ThePanchamBros Hates the Undertale Fandom

    Member
    1
    Jan 31, 2016
    United States
    Under your bed ( ͡° ͜ʖ ͡°)
    ok thx, so if I just follow the regular GitHub guide step by step word for word I will be fine?
     
  9. rileysrjay

    rileysrjay GBAtemp's official vinsclone speedster!

    Member
    7
    Apr 2, 2016
    United States
    Central City
    A9lh works fine on a new 3ds, such as mine. Just make sure you follow plaicets guide word for word or you will brick your system.
     
    Minnow likes this.
  10. Pikm

    Pikm Thy Lord and Savior

    Member
    3
    Jan 24, 2016
    United States
    Delaware
    It's pretty much the exact same process on all systems. N3DS is just a little bit harder because the (emu)NAND becomes bricked on the 2.1.0 downgrade and you have to repair it before you flash it to sysNAND and get the otp. Honestly it would be a whole lot safer if someone developed a cfw that can boot 2.1 fw.
     
  11. Just Passing By

    Just Passing By GBAtemp Advanced Maniac

    Member
    5
    Jan 3, 2016
    United States
    Actually you're wrong about that. Now you don't have to repair it anymore. OTPHelper does that all for you, so the steps for n3ds and o3ds are the exact same now.
     
  12. Razorzeto

    Razorzeto Darkness can not drive out darkness.

    Member
    2
    Aug 27, 2015
    Currently living in Chile.
    One click setup it's much safer know, and does everything for you.
     
  13. Pikm

    Pikm Thy Lord and Savior

    Member
    3
    Jan 24, 2016
    United States
    Delaware
    One click setup still has to repair it though, and that adds about +10 minutes to the process.
     
  14. 3xkrazy

    3xkrazy GBAtemp Regular

    Member
    2
    Jun 2, 2013
    United States
    The main dev pused a major rewrite on github yesterday. It currently doesn't work with my jpn n3ds, because It fails the validation check on arm9loaderhax.pack during the installation. I even supplied it with the same dependencies from the previous version.
     
  15. Just Passing By

    Just Passing By GBAtemp Advanced Maniac

    Member
    5
    Jan 3, 2016
    United States
    It doesn't make it harder though and in the end it's not in anyway more dangerous then o3ds.
     
  16. daxtsu

    daxtsu GBAtemp Guru

    Member
    13
    Jun 9, 2007
    Antarctica
    This exploit came about because of the N3DS (or rather, the way they decided to handle booting security on N3DS 9.6+), so yes it can be installed on it. :P
     
  17. zoogie

    zoogie playing around in the dsiware

    Member
    19
    Nov 30, 2014
    Micronesia, Federated States of
    Yeah exactly.
    It's honestly a miracle it works on old3ds since you're installing new3ds firmware on it and using a new3ds exploit.
     
    ihaveamac likes this.
  18. Logan Pockrus

    Logan Pockrus Knawledge is key.

    Member
    6
    Jan 1, 2016
    United States
    Step for step, word for word, and you'll be fine! I did it, too!
     
  19. Scarlet

    Scarlet Self-Inflicted Achromatic

    pip Contributor
    11
    GBAtemp Patron
    Scarlet is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    Jan 7, 2015
    United Kingdom
    Middleish North-Left
    Finished setting up my third N3DS for A9LH earlier, it's safe if you can follow the instructions as far as I know ^^
     
  20. regnad

    regnad Button Masher

    Member
    5
    May 19, 2008
    Have you told Plailect this? This sounds like a big problem he should be made aware of.

    Where did it fail? Before the downgrade to 9.2 or 2.1? Did it just refuse to do the downgrade?

    I downgraded a friend's JP N3DS to 9.2 (but not 2.1) the other day using the update cias on the Plailect site. Both SafeSysUpdater and the Plailect updater failed at maybe the third or fourth cia during validation, but the Plailect updater still went ahead and downgraded, and did it successfully.
     
    Last edited by regnad, Apr 17, 2016
Loading...
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice